%define name	lv
%define version	4.49.4
%define rel	3.21AS.1
%define vver	4494

Summary: A Powerful Multilingual File Viewer
Name: %{name}
Version: %{version}
Release: %{rel}
License: distributable
Group: Applications/Text
Source: http://www.ff.iij4u.or.jp/~nrt/freeware/%{name}%{vver}.tar.gz
Patch0: lv-fix-install-opts.patch
Patch1: lv-4.49.4-nonstrip.patch
Patch2: lv-4.49.4-dont-read-dotlv-on-cwd.patch
Patch3: lv-4.49.4-fix-manpage.patch
URL: http://www.ff.iij4u.or.jp/~nrt/lv/
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
BuildPrereq: libtermcap-devel

%description
lv is a powerful file viewer like less.
lv can decode and encode multilingual streams through
many coding systems: ISO-8859, ISO-2022, EUC, SJIS, Big5,
HZ, Unicode.
It recognizes multi-bytes patterns as regular
expressions, lv also provides multilingual grep.
In addition, lv can recognize ANSI escape sequences
for text devoration.

%prep
%setup -q -n %{name}%{vver}
%patch0 -p1
%patch1 -p1 -b .nonstrip
%patch2 -p1 -b .dotlv
%patch3 -p1 -b .manpage

%build
cd src
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

cd src
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall

%files
%defattr(-, root, root)
%doc GPL.txt README build hello.sample hello.sample.gif index.html
%doc lv.1 lv.hlp relnote.html
%{_bindir}/lv
%{_bindir}/lgrep
%{_mandir}/man1/lv.1.gz
%{_libdir}/lv

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 28 2003 Akira TAGOH <tagoh@redhat.com> 4.49.4-3.21AS.1
- lv-4.49.4-fix-manpage.patch: fix the man pages to reflect previous changes.

* Mon Apr 28 2003 Akira TAGOH <tagoh@redhat.com> 4.49.4-3.21AS.0
- security fix release. (RHSA-2003:167)
- lv-4.49.4-nonstrip.patch: don't strip the binaries.
- lv-4.49.4-dont-read-dotlv-on-cwd.patch: dont't read .lv file from current
  directory to prevent the possibility of local root exploit. (#89776)
- s/Copyright/License/

* Tue Jul 24 2001 SATO Satoru <ssato@redhat.com>
- BuildPrereq: libtermcap-devel (close #49517)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Dec 20 2000 SATO Satoru <ssato@redhat.com>
- clean up spec

* Tue Dec 19 2000 SATO Satoru <ssato@redhat.com>
- new upstream
- use system-defined macros

* Thu Aug 24 2000 SATO Satoru <ssato@redhat.com>
- fix spec (remove japanese description)

* Mon Aug 07 2000 SATO Satoru <ssato@redhat.com>
- fix spec (make prefix... replaced with %makeinstall)

* Tue Jul 04 2000 SATO Satoru <ssato@redhat.com>
- initial release.

